---
updatedAt: 2025-02-12T22:19:30.000Z
agentTools:
  projectIndex: https://developers.melroselabs.com/llms.txt
---

# Send message

Send a message to a single mobile on Signal. Also used to submit a message for scheduled delivery at a later time.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Signal API",
    "version": "2023-10-30T09:38:44Z"
  },
  "servers": [
    {
      "url": "https://api.melroselabs.com/{basePath}",
      "variables": {
        "basePath": {
          "default": "signal"
        }
      }
    }
  ],
  "paths": {
    "/message": {
      "post": {
        "tags": [
          "Message"
        ],
        "summary": "Send message",
        "description": "Send a message to a single mobile on Signal. Also used to submit a message for scheduled delivery at a later time.",
        "requestBody": {
          "description": "Message to be sent",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/SendMessge"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "200 response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SendMessageResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "SendMessageResponse": {
        "title": "SendMessageResponse Schema",
        "type": "object",
        "properties": {
          "transactionID": {
            "type": "string",
            "description": "ID that identifies the message submitted in the transaction"
          },
          "messageID": {
            "type": "array",
            "items": {
              "type": "string",
              "description": "Message ID for individual message"
            }
          }
        }
      },
      "SendMessge": {
        "title": "SendMessage Schema",
        "required": [
          "destination",
          "text"
        ],
        "type": "object",
        "properties": {
          "systemid": {
            "type": "string",
            "description": "Signal API account system ID"
          },
          "password": {
            "type": "string",
            "description": "Signal API account password"
          },
          "destination": {
            "type": "string",
            "description": "Target mobile number to where the message is being sent."
          },
          "text": {
            "type": "string",
            "description": "Message text to be sent to the destination mobile."
          },
          "scheduled": {
            "type": "string",
            "description": "Time when delivery of the message will be attempted, in ISO 8601 format (example: \"2018-12-10T13:49:51.141Z\").",
            "format": "date-time"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```